Page 8 of 13

Re: UP 2014.10.15

Posted: 19 Oct 2014 22:49
by desowers
5. After that same reboot I also experienced the loss of sound icon, inability to run vlc, general lag, etc. noted by many others above. By following the instructions above to remove the symlinked /tmp and replace it with a new /tmp, upon another reboot everything works fine again.

Greetings and thank you!

I removed the symlinked /tmp and just rebooted and all is good. Sound comes up, printers show up and print, and all seems back to health.

Blessings to you.

Don

Re: UP 2014.10.15

Posted: 19 Oct 2014 23:53
by ray
Restored system from my snapshot so back up and running but no updates until I can find some vmware answers. I might try to import my current version into Virtual box and see how it performs.

Ray

Re: UP 2014.10.15

Posted: 20 Oct 2014 02:14
by dlw
Just a note to say I successfully installed the upgrade to SolydX 64 -- with these minor glitches:
1. As experienced by freecicero (page 2), MathewLM (page 3), Ray (page 5), and tzirconia (page 7), upgrade from the icon stopped dead at:
Processing triggers for menu (2.1.47) ...
2. Closing the Update Manager window and running "updatemanager" from the command line worked perfectly . . .
3. Except for the great number of warning messages (not all about pixbuf) that I saved to look at later.
4. I decided to shut the machine down rather than restarting it (I've had Solydx running in VirtualBox for 62 continuous days without any problems.). Running "sudo shutdown" said it was shutting down the sysgtem, but didn't. After 5 minutes I opened a root terminal and tried "shutdown" with the same result. I had to run "telinit 0" from a root terminal to shut down.
5. After starting up again, everything I've tried works.

I couldn't ask for a better linux system. Thanks to the developers, maintainers, and testers. You make a difficult and time-consuming job look easy.

Re: UP 2014.10.15

Posted: 20 Oct 2014 07:01
by TeaSwigger
Eh. Well, besides the system sounds not working there's another new problem: I can't search for a file in Dolphin. It says, "Invalid protocol" as in this screengrab:
invalid-protocol.png
invalid-protocol.png (10.84 KiB) Viewed 3767 times
I was going to ignore this, but since it might be relevant: the "Recently Accessed" and "Search For" sections on the Dolphin panel appeared after the update; they don't work at all and I don't want 'em anyway, but I don't see any way to remove them. Screengrab showing the new additions:
invalid-protocol2.png
invalid-protocol2.png (15.28 KiB) Viewed 3767 times

Re: UP 2014.10.15

Posted: 20 Oct 2014 08:30
by Snap

Re: UP 2014.10.15

Posted: 20 Oct 2014 10:41
by Gonzalo_VC
Schoelje wrote: @Gonzalo_VC
But what was the output of:

Code: Select all

apt-get -f install
What is the output of:

Code: Select all

apt-show-versions | grep upgradeable
If the first shows nothing and the second does, you need to re-initialize the cache:

Code: Select all

apt-show-versions -i
OK, next machine, SolydK 64 at work: still shows something must be upgraded, but when running the UpMan I got "Your system is up to date". Going to the terminal and:

Code: Select all

gonzalo-lab gonzalo # apt-show-versions | grep upgradeable
dolphin:amd64/testing 4:4.12.4-1 upgradeable to 4:4.14.1-1
ffmpeg:amd64/testing 10:2.2.4-dmo1 upgradeable to 10:2.4.1-dmo1
libstreamanalyzer0:amd64/testing 0.7.8-1.2 upgradeable to 0.7.8-1.2+b2
libstreams0:amd64/testing 0.7.8-1.2 upgradeable to 0.7.8-1.2+b2
Since I have messed it up in the last days, I'll wait for the proper advice, this time ;)

Re: UP 2014.10.15

Posted: 20 Oct 2014 14:22
by desowers
Greetings again,

I have updated three computers to the new 14.10 and all three required me to remove the symlinked /tmp folder to get the sound to work. Thanks for all who helped with that.

I have a Toshiba laptop with AMD and RS690M [Radeon Xpress 1200/1250/1270] 1440x900
Display server: X.Org 1.16.1 drivers: ati, radeon (unloaded, fbdev, vesta)
GLX renderer: Gallium 0.4 on ATI RS690 GLX version: 2.1 Mesa 10.2.6

After upgrade screen is in intermittant flickering.
Not doing this before, and I tried a live DVD and none there either.

Any ideas to help?

Don

PS - Also, at the GNU GRUB screen at startup, if I drop back from Grub 3.16 to 3.14 no flicker.

Re: UP 2014.10.15

Posted: 20 Oct 2014 18:24
by palimmo
zerozero wrote:@palimmo
does this help >> http://forums.solydxk.nl/viewtopic.php?f=33&t=4880
thanks. it works. ;)
even if i think it would be better to have the previous behaviour.

Re: UP 2014.10.15

Posted: 20 Oct 2014 19:31
by palimmo
UP completed.
Trying to clean my system and I get this:

Code: Select all

~ $ sudo apt-get remove --purge `deborphan`Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libavresample1 libfftw3-long3 libimage-magick-perl libimage-magick-q16-perl
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  gstreamer0.10-alsa* gstreamer0.10-plugins-good* gstreamer0.10-plugins-ugly*
  libass4* libavfilter4* libbluedevil1* libboost-system1.54.0* libexiv2-12*
  libfftw3-3* libgeoclue0* liblivemedia32* liblognorm0* libmagick++5*
  libmbim-glib0* libnepomukwidgets4abi1* libokularcore4* libopenconnect2*
  libparted0debian1* libpoppler44* libqmi-glib0* libssh-4* libtar0*
  libupower-glib1* libx265-21* libx265-21:i386* perlmagick*
0 upgraded, 0 newly installed, 26 to remove and 0 not upgraded.
After this operation, 27.9 MB disk space will be freed.
Do you want to continue? [Y/n]
Do you think is safe to accept it?

Re: UP 2014.10.15

Posted: 20 Oct 2014 20:07
by freecicero
To Illustrate my stupidity, I have to first apologize and say that I now recognize that I am (presumably) running Solydx64 HOME rather than "Business Edition" to which this thread is dedicated. (I am still a little unsure but I gather that is what "Production" means.)

At any rate I wanted to report that I appear to have resolved all my lingering upgrade issues. The key for me was to use apt-get update and apt-get install libavcode56

Once I did that all my broken dependencies on my kde programs (which I have loaded so I could use dolphin) resolved, and I seem to be fully back in business.

I did need to follow the instructions to add
[Qt]
style=GTK+ (actually, not add, but replace the one that said oxyen)

and then the kde windows looked fine.

I think I am now completely through the upgrade with 0 0 0 being the result of apt-get distribution-upgrade.

Thanks again for this fine distribution. I am using it in a small office environment and i really appreciate the "professional" look and feel of the soldyx desktop. I'll continue to introduce as many of my friends as I can.

Re: UP 2014.10.15

Posted: 21 Oct 2014 12:45
by Agostino
When are the new ISOs scheduled coming out?
Thanks.

Re: UP 2014.10.15

Posted: 21 Oct 2014 15:07
by Gonzalo_VC
Agostino wrote:When are the new ISOs scheduled coming out?
Thanks.
Yea. In some sad cases will be the medicine.

Re: UP 2014.10.15

Posted: 21 Oct 2014 15:28
by randy
Update Pack 2014.10.15 installs gtk+2.0 (2.24.24-1) over (2.24.23-1), breaking four packages:

$ reportbug
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve property `gtk-toolbar-icon-size' of type `GtkIconSize' from rc file value ""GTK_ICON_SIZE_SMALL_TOOLBAR"" of type `GtkIconSize'
[...] Attempt to unlock mutex that was not locked

$ mirage
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve property `gtk-toolbar-icon-size' of type `GtkIconSize' from rc file value ""GTK_ICON_SIZE_SMALL_TOOLBAR"" of type `GtkIconSize'
/usr/lib/python2.7/dist-packages/mirage.py:608: Warning: The property GtkWindow:allow-shrink is deprecated and shouldn't be used anymore. It will be removed in a future version.
[...] Attempt to unlock mutex that was not locked

$ blueproximity
/usr/share/blueproximity/proximity.py:186: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
[...] Attempt to unlock mutex that was not locked

$ keepnote
/usr/lib/python2.7/dist-packages/keepnote/gui/dialog_app_options.py:853: Warning: The property GtkDialog:has-separator is deprecated and shouldn't be used anymore. It will be removed in a future version.
[...] Attempt to unlock mutex that was not locked

Fix has been provided in gtk+2.0 (2.24.25-1) added to Debian Experimental on 10 OCT 2014. See https://tracker.debian.org/news/577166.

I use SolydX 64-bit, and am relatively new to Linux, and this is my first post. I particularly use Keepnote daily for all notekeeping. Should I install Debian Experimental fix gtk+2.0 (2.24.25-1) into SolydX with Update Pack 2014.10.15, or not, or what alternative(s)? Did look at https://wiki.debian.org/DebianExperimental.

Re: UP 2014.10.15

Posted: 21 Oct 2014 15:43
by grizzler
You're still getting gtk+2.0 2.24.24-1? That's odd. 2.24.25-1 was added to SolydXK's Debian repository earlier today. Are you using a mirror (the Dutch one is up to date - I just checked)?

Re: UP 2014.10.15

Posted: 21 Oct 2014 16:01
by bas_otten
Are the mirrors synchronized by now with the new UP? As for ftp.nluug.nl is looks like it is, but - if I'm correct - I haven't seen an official notification. Regards, Bas.

Re: UP 2014.10.15

Posted: 21 Oct 2014 17:46
by Snap
So, what are the correct Netherlands mirrors sources list? something like this?

Code: Select all

deb http://ftp.nluug.nl/os/Linux/distr/solydxk/packages/ solydxk main upstream import
deb http://ftp.nluug.nl/os/Linux/distr/solydxk/packages/ testing main contrib non-free 
deb http://debian.solydxk.com/security/ testing/updates main contrib non-free
deb http://community.solydxk.com/production/ solydxk main

Re: UP 2014.10.15

Posted: 21 Oct 2014 18:28
by randy
Thank you for quick response. I had applied Update Pack 30 hours ago, from USA repositories. With your advice I revisited SolydXK Update Manager, that now offers several gtk 2.24.25-1 version files which I applied. Problem is resolved. Again thank you all who contribute to Linux and SolydXK. The community fixes things faster than I can ask about them!

Re: UP 2014.10.15

Posted: 21 Oct 2014 18:34
by grizzler
Snap wrote:So, what are the correct Netherlands mirrors sources list? something like this?
This, I think:

Code: Select all

deb http://ftp.nluug.nl/os/Linux/distr/solydxk/packages/production/ solydxk main upstream import
deb http://ftp.nluug.nl/os/Linux/distr/solydxk/debian/production/ testing main contrib non-free
deb http://debian.solydxk.com/security testing/updates main contrib non-free
deb http://community.solydxk.com/production/ solydxk main
I usually have only the largest repo/mirror set to the Dutch one, so my VMs actually have:

Code: Select all

deb http://home.solydxk.com/production/ solydxk main upstream import
deb http://ftp.nluug.nl/os/Linux/distr/solydxk/debian/production/ testing main contrib non-free
deb http://debian.solydxk.com/security testing/updates main contrib non-free
deb http://community.solydxk.com/production/ solydxk main

Re: UP 2014.10.15

Posted: 21 Oct 2014 18:36
by grizzler
bas_otten wrote:Are the mirrors synchronized by now with the new UP? As for ftp.nluug.nl is looks like it is, but - if I'm correct - I haven't seen an official notification. Regards, Bas.
Yes, they should be.

Re: UP 2014.10.15

Posted: 21 Oct 2014 18:43
by Snap
Thanks, grizzler. 8-)